Plugin installer (1.2.1) fails to detect available upgrade of QuickWKT plugin

2011-12-09 01:07 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Tim Sutton

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14523

Description

I have QuickWKT plugin version 1.6 installed, and 1.8 is available upstream: http://plugins.qgis.org/plugins/plugins.xml.

I made sure to have the plugin installer re-fetch the metadata (might help for the future to have a button to refresh in there).

Still I don't get prompted for upgrade.

The entry in plugin manager for my QuickWKT says about Repository: "only locally available".

Could be I installed the plugin manually somehow. Does the plugin fetcher keeps information about where it downloaded each plugin from

? Where ?

History

#1 - 2011-12-09 01:35 AM - Borys Jurgiel

Do other plugins from this repository work fine? Is it QGIS >= 1.5 ?

#2 - 2011-12-09 02:21 AM - Sandro Santilli

It is qgis 1.7.2.

See screenshot: http://strk.keybit.net/tmp/quickwkt.png

Now that I look at the screenshot I see the plugin did not result as being only "only locally available".

Dunno why closing qgis and reopening it changed that.

Anyway in both cases there was no proposal of upgrade.

I didn't touch anything about it in case you need more information.

#3 - 2011-12-09 03:42 AM - Borys Jurgiel

- Assignee set to Tim Sutton

I've got it. Make sure you have the http://plugins.qgis.org/plugins/plugins.xml url ending with the file name. The installer 1.2.1 adds a wrong url.

Tim, could you please fix it in line 73 of installer_data.py ?

#4 - 2011-12-09 03:47 AM - Borys Jurgiel

Btw. The version 1.6 is present in the old repository, so seems you enabled it in the meantime, and the installer didn't refetch the metadata until program
restart. Strange, it should do it after any change on the Repositories tab.

#5 - 2011-12-09 04:23 AM - Sandro Santilli

installer_data.py really contains http://pyqgis.org/repo/official in 1.7 branch, so should be updated.

Would it make sense to also redirect the old url to the new one ? Will it work ?

I'll take a closer look at the repository url on next start. Where else would QGis be getting repo urls ?

#6 - 2011-12-09 05:24 AM - Tim Sutton

Borys Jurgiel wrote:

I've got it. Make sure you have the http://plugins.qgis.org/plugins/plugins.xml url ending with the file name. The installer 1.2.1 adds a wrong url.

Tim, could you please fix it in line 73 of installer_data.py ?

Hi Borys

I guess you are referring to master right? As far as I know the new plugin installer isnt available in the 1.7 branch yet.

regards

Tim

#7 - 2011-12-09 07:15 AM - Sandro Santilli

Please help me to figure out if I understood correctly:

    -  old repository and new repository are not compatible

    -  1.7 ships insaller 1.2.1 which only supports old repository format

Is the above correct ?

#8 - 2011-12-09 09:08 AM - Sandro Santilli

Oh, I've found "QGIS Official Repository 2" in the list of my repositories, and indeed it misses a "/plugins.xml" suffix.

How did it get in ? I'm running alternatively 1.7 and master every now and then, does the plugin installer save some status in a configuration file ?

#9 - 2011-12-09 10:20 AM - Borys Jurgiel

In general, both repositories should be compatible. At least the installer 1.2.1 should support both. The old one is just designed for Qgis 1.x, while the new

one originally for 2.x. Now we are in a transient period: the new repo has been added to Qgis and is being tested for 2.0

The installer 1.2.1 adds it automagically at startup (not my idea :p). If you use various Qgis versions simultaneously, consider separate their configurations.

#10 - 2011-12-09 10:43 AM - Borys Jurgiel
Tim Sutton wrote:

Hi Borys

I guess you are referring to master right? As far as I know the new plugin installer isnt available in the 1.7 branch yet.

I don't know. You added it November 12. Maybe there were some backports

#11 - 2011-12-16 12:13 AM - Sandro Santilli

I checked and can confirm the new repository (plugins.qgis.org/plugins..) is not in plugins_installer official list as of 1.7.3.

I'd keep this ticket open to request better user-feedback for the case in which a repository is invalid.

This would have been the case for the broken "http://plugins.qgis.org/plugins/" url and still is the case when I fix the url to be

"http://plugins.qgis.org/plugins/plugins.xml".

I've noticed there's a \\valid entry in QGIS.conf for all repositories but the new official plugin, but I have no visibility of valid/notvalid in the GUI.

#12 - 2011-12-16 02:23 AM - Sandro Santilli

- Resolution set to invalid

- Status changed from Open to Closed

Alright let's close this as invalid. The whole issue was about lack of user feedback for which I filed two new bugs: #4654  and #4655
